<define> ... </define> |

`<define>` is defined in the Main RXML parser module. Defines new tags, container tags or defines.

Attributes |
container, name, tag, default_attribute``,

Attributes

`container`=name
  Define a new RXML container tag, or override a previous definition.

`name`

  Sets the specified define. Can be inserted later by the `<insert>` tag.

`tag`

  Defines a new RXML tag, or overrides a previous definition.

`default_`attribute``=value
  Set a default value for an attribute, that will be used when the attribute is not specified when the defined tag is used.

You can use a few special tokens in the definition of tags and container tags:

`#args#`
  All arguments sent to the tag. Useful when defining a new tag that is more or less only an alias for an old one.

`&attribute;`
  Inserts the value of that attribute.

Example

source code

#

    <contents>

    Hello

    "=> >

result

<contents>

# Hello

source code

    The test tag: Testing testing.
    Foo is &foo;, bar is &bar;

    "=> >

result | The test tag: Testing testing. Foo is &foo;, bar is &bar;